## org.omg.CORBA.ContainedPackage
Class Description

    java.lang.Object
      |
      +--org.omg.CORBA.ContainedPackage.Description

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class Description
extends java.lang.Object
implements IDLEntity

The description structure associated with each interface is provided below with the interface’s definition. The kind of definition described by name of the structure returned is provided with the returned structure. The kind field of the returned Description struct shall give the DefinitionKind for the most derived type of the object.

See Also:
  Serialized Form

Field Summary
`DefinitionKind` `kind` Struct member kind
`Any` `value` Struct member value

Constructor Summary
`Description()` Default constructor
`Description(DefinitionKind kind, Any value)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kind

    public DefinitionKind kind

  Struct member kind

### value

    public Any value

  Struct member value

Constructor Detail

### Description

    public Description()

  Default constructor

### Description

    public Description(DefinitionKind kind,
                       Any value)

  Constructor with fields initialization
  Parameters:
    `kind` - kind struct member
    `value` - value struct member